import type { Action, ExtensionAuto } from '../../../core';
import { YfmCutSpecOptions } from './spec';
declare const cutAction = "toYfmCut";
export { CutNode, cutType, cutTitleType, cutContentType } from './const';
export declare type YfmCutOptions = YfmCutSpecOptions & {
    yfmCutKey?: string | null;
};
export declare const YfmCut: ExtensionAuto<YfmCutOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [cutAction]: Action;
        }
    }
}
