import type { Action, ExtensionAuto } from '../../../core';
import { YfmNoteSpecOptions } from './spec';
declare const noteAction = "toYfmNote";
export { noteType, noteTitleType } from './utils';
export declare type YfmNoteOptions = YfmNoteSpecOptions & {
    yfmNoteKey?: string | null;
};
export declare const YfmNote: ExtensionAuto<YfmNoteOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [noteAction]: Action;
        }
    }
}
